Skip to main content
POST
/
sourcing
/
advanced
/
companies
/
search
Advance Sourcing API endpoint — search companies
curl --request POST \
  --url https://app.leonar.app/api/v1/sourcing/advanced/companies/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "page": 1,
  "names": [
    "ExampleCo"
  ],
  "domains": [
    "example.com"
  ],
  "sizes": [
    "51_200"
  ],
  "locations": [
    "United States"
  ],
  "industries": [
    "Software"
  ]
}
'
{
  "data": {
    "metadata": {
      "page": 1,
      "page_size": 25,
      "total_results": 1
    },
    "companies": [
      {
        "name": "ExampleCo",
        "linkedin_url": "https://www.linkedin.com/company/exampleco",
        "domain": "example.com",
        "industry": "Software",
        "size": 150,
        "country": "United States",
        "website": "https://example.com"
      }
    ],
    "credits": {
      "search_credits_used": 1
    }
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Body

application/json
page
integer
default:1
Required range: x >= 1
linkedin_urls
string[]

Company profile URLs or company identifiers. Cannot be combined with other search filters.

Maximum array length: 25
names
string[]

Company names to include.

Maximum array length: 50
domains
string[]

Company domains to include.

Maximum array length: 50
sizes
string[]

Company employee-size ranges.

hq_only
boolean
default:false

Search only headquarters locations.

locations
string[]
Maximum array length: 50
industries
string[]
Maximum array length: 50
min_revenue
integer
Required range: x >= 0
max_revenue
integer
Required range: x >= 0
year_founded_from
integer
Required range: x >= 1985
year_founded_to
integer

Requires year_founded_from when provided.

Response

Company search results.

data
object